PKCSObjectIdentifiers (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.pkcs

## Interface PKCSObjectIdentifiers

- All Known Implementing Classes:
    ContentInfo, DSABase, DSASigner, DSASigner.detDSA, DSASigner.detDSA224, DSASigner.detDSA256, DSASigner.detDSA384, DSASigner.detDSA512, DSASigner.dsa224, DSASigner.dsa256, DSASigner.dsa384, DSASigner.dsa512, DSASigner.noneDSA, DSASigner.stdDSA, McElieceFujisakiCipherSpi, McElieceFujisakiCipherSpi.McElieceFujisaki, McElieceFujisakiCipherSpi.McElieceFujisaki224, McElieceFujisakiCipherSpi.McElieceFujisaki256, McElieceFujisakiCipherSpi.McElieceFujisaki384, McElieceFujisakiCipherSpi.McElieceFujisaki512, McElieceKobaraImaiCipherSpi, McElieceKobaraImaiCipherSpi.McElieceKobaraImai, McElieceKobaraImaiCipherSpi.McElieceKobaraImai224, McElieceKobaraImaiCipherSpi.McElieceKobaraImai256, McElieceKobaraImaiCipherSpi.McElieceKobaraImai384, McElieceKobaraImaiCipherSpi.McElieceKobaraImai512, McEliecePKCSCipherSpi, McEliecePKCSCipherSpi.McEliecePKCS, McEliecePKCSCipherSpi.McEliecePKCS224, McEliecePKCSCipherSpi.McEliecePKCS256, McEliecePKCSCipherSpi.McEliecePKCS384, McEliecePKCSCipherSpi.McEliecePKCS512, McEliecePointchevalCipherSpi, McEliecePointchevalCipherSpi.McEliecePointcheval, McEliecePointchevalCipherSpi.McEliecePointcheval224, McEliecePointchevalCipherSpi.McEliecePointcheval256, McEliecePointchevalCipherSpi.McEliecePointcheval384, McEliecePointchevalCipherSpi.McEliecePointcheval512, PBES2Parameters, Pfx, PKCS12KeyStoreSpi, PKCS12KeyStoreSpi.BCPKCS12KeyStore, PKCS12KeyStoreSpi.BCPKCS12KeyStore3DES, PKCS12KeyStoreSpi.DefPKCS12KeyStore, PKCS12KeyStoreSpi.DefPKCS12KeyStore3DES, SignatureSpi, SignatureSpi, SignatureSpi, SignatureSpi, SignatureSpi.ecCVCDSA, SignatureSpi.ecCVCDSA224, SignatureSpi.ecCVCDSA256, SignatureSpi.ecCVCDSA384, SignatureSpi.ecCVCDSA512, SignatureSpi.ecDetDSA, SignatureSpi.ecDetDSA224, SignatureSpi.ecDetDSA256, SignatureSpi.ecDetDSA384, SignatureSpi.ecDetDSA512, SignatureSpi.ecDSA, SignatureSpi.ecDSA224, SignatureSpi.ecDSA256, SignatureSpi.ecDSA384, SignatureSpi.ecDSA512, SignatureSpi.ecDSAnone, SignatureSpi.ecDSARipeMD160, SignatureSpi.ecNR, SignatureSpi.ecNR224, SignatureSpi.ecNR256, SignatureSpi.ecNR384, SignatureSpi.ecNR512, SignatureSpi.ecPlainDSARP160, SignatureSpiLe, SignedData, TBSCertificateStructure, X509CertificateStructure

      public interface PKCSObjectIdentifiers

  pkcs-1 OBJECT IDENTIFIER ::=

  { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) 1 }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `bagtypes` PKCS#12: 1.2.840.113549.1.12.10.1
    `static ASN1ObjectIdentifier` | `canNotDecryptAny` PKCS#9: 1.2.840.113549.1.9.15.2 -- smime capability
    `static ASN1ObjectIdentifier` | `certBag` PKCS#12: 1.2.840.113549.1.12.10.1.3
    `static ASN1ObjectIdentifier` | `certTypes` PKCS#9: 1.2.840.113549.1.9.22
    `static ASN1ObjectIdentifier` | `crlBag` PKCS#12: 1.2.840.113549.1.12.10.1.4
    `static ASN1ObjectIdentifier` | `crlTypes` PKCS#9: 1.2.840.113549.1.9.23
    `static ASN1ObjectIdentifier` | `data` PKCS#7: 1.2.840.113549.1.7.1
    `static ASN1ObjectIdentifier` | `des_EDE3_CBC` 1.2.840.113549.3.7
    `static ASN1ObjectIdentifier` | `dhKeyAgreement` PKCS#3: 1.2.840.113549.1.3.1
    `static ASN1ObjectIdentifier` | `digestAlgorithm` 1.2.840.113549.2
    `static ASN1ObjectIdentifier` | `digestedData` PKCS#7: 1.2.840.113549.1.7.5
    `static ASN1ObjectIdentifier` | `encryptedData` PKCS#7: 1.2.840.113549.1.7.76
    `static ASN1ObjectIdentifier` | `encryptionAlgorithm` 1.2.840.113549.3
    `static ASN1ObjectIdentifier` | `envelopedData` PKCS#7: 1.2.840.113549.1.7.3
    `static ASN1ObjectIdentifier` | `id_aa` PKCS#9: 1.2.840.113549.1.9.16.6.2 - smime attributes
    `static ASN1ObjectIdentifier` | `id_aa_cmsAlgorithmProtect` RFC 6211 - id-aa-cmsAlgorithmProtect OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) 52 }
    `static ASN1ObjectIdentifier` | `id_aa_commitmentType` Deprecated. use id_aa_ets_commitmentType instead
    `static ASN1ObjectIdentifier` | `id_aa_contentHint` PKCS#9: 1.2.840.113549.1.9.16.6.2.4 - See RFC 2634
    `static ASN1ObjectIdentifier` | `id_aa_contentIdentifier` PKCS#9: 1.2.840.113549.1.9.16.6.2.7 - See RFC 2634
    `static ASN1ObjectIdentifier` | `id_aa_contentReference` PKCS#9: 1.2.840.113549.1.9.16.6.2.10
    `static ASN1ObjectIdentifier` | `id_aa_encrypKeyPref` PKCS#9: 1.2.840.113549.1.9.16.6.2.11
    `static ASN1ObjectIdentifier` | `id_aa_ets_archiveTimestamp` PKCS#9: 1.2.840.113549.1.9.16.6.2.27 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_certCRLTimestamp` PKCS#9: 1.2.840.113549.1.9.16.6.2.26 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_certificateRefs` PKCS#9: 1.2.840.113549.1.9.16.6.2.21 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_certValues` PKCS#9: 1.2.840.113549.1.9.16.6.2.23 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_commitmentType` PKCS#9: 1.2.840.113549.1.9.16.6.2.16 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_contentTimestamp` PKCS#9: 1.2.840.113549.1.9.16.6.2.20 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_escTimeStamp` PKCS#9: 1.2.840.113549.1.9.16.6.2.25 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_otherSigCert` PKCS#9: 1.2.840.113549.1.9.16.6.2.19 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_revocationRefs` PKCS#9: 1.2.840.113549.1.9.16.6.2.22 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_revocationValues` PKCS#9: 1.2.840.113549.1.9.16.6.2.24 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_signerAttr` PKCS#9: 1.2.840.113549.1.9.16.6.2.18 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_signerLocation` PKCS#9: 1.2.840.113549.1.9.16.6.2.17 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_ets_sigPolicyId` PKCS#9: 1.2.840.113549.1.9.16.6.2.15 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_msgSigDigest` PKCS#9: 1.2.840.113549.1.9.16.6.2.5
    `static ASN1ObjectIdentifier` | `id_aa_otherSigCert` Deprecated. use id_aa_ets_otherSigCert instead
    `static ASN1ObjectIdentifier` | `id_aa_receiptRequest` PKCS#9: 1.2.840.113549.1.9.16.6.2.1 -- smime attribute receiptRequest
    `static ASN1ObjectIdentifier` | `id_aa_signatureTimeStampToken` PKCS#9: 1.2.840.113549.1.9.16.6.2.14 - RFC 3126
    `static ASN1ObjectIdentifier` | `id_aa_signerLocation` Deprecated. use id_aa_ets_signerLocation instead
    `static ASN1ObjectIdentifier` | `id_aa_signingCertificate` PKCS#9: 1.2.840.113549.1.9.16.6.2.12
    `static ASN1ObjectIdentifier` | `id_aa_signingCertificateV2` PKCS#9: 1.2.840.113549.1.9.16.6.2.47
    `static ASN1ObjectIdentifier` | `id_aa_sigPolicyId` Deprecated. use id_aa_ets_sigPolicyId instead
    `static ASN1ObjectIdentifier` | `id_alg` S/MIME: Algorithm Identifiers ; 1.2.840.113549.1.9.16.3
    `static ASN1ObjectIdentifier` | `id_alg_CMS3DESwrap` PKCS#9: 1.2.840.113549.1.9.16.3.6
    `static ASN1ObjectIdentifier` | `id_alg_CMSRC2wrap` PKCS#9: 1.2.840.113549.1.9.16.3.7
    `static ASN1ObjectIdentifier` | `id_alg_ESDH` PKCS#9: 1.2.840.113549.1.9.16.3.5
    `static ASN1ObjectIdentifier` | `id_alg_PWRI_KEK` PKCS#9: 1.2.840.113549.1.9.16.3.9
    `static ASN1ObjectIdentifier` | `id_alg_SSDH` PKCS#9: 1.2.840.113549.1.9.16.3.10
    `static ASN1ObjectIdentifier` | `id_ct` PKCS#9: 1.2.840.113549.1.9.16.1 -- smime ct
    `static ASN1ObjectIdentifier` | `id_ct_authData` PKCS#9: 1.2.840.113549.1.9.16.1.2 -- smime ct authData
    `static ASN1ObjectIdentifier` | `id_ct_authEnvelopedData` PKCS#9: 1.2.840.113549.1.9.16.1.23 -- smime ct authEnvelopedData
    `static ASN1ObjectIdentifier` | `id_ct_compressedData` PKCS#9: 1.2.840.113549.1.9.16.1.9 -- smime ct compressedData
    `static ASN1ObjectIdentifier` | `id_ct_timestampedData` PKCS#9: 1.2.840.113549.1.9.16.1.31 -- smime ct timestampedData
    `static ASN1ObjectIdentifier` | `id_ct_TSTInfo` PKCS#9: 1.2.840.113549.1.9.16.1.4 -- smime ct TSTInfo
    `static ASN1ObjectIdentifier` | `id_cti` PKCS#9: 1.2.840.113549.1.9.16.6 -- smime cti
    `static ASN1ObjectIdentifier` | `id_cti_ets_proofOfApproval` PKCS#9: 1.2.840.113549.1.9.16.6.5 -- smime cti proofOfApproval
    `static ASN1ObjectIdentifier` | `id_cti_ets_proofOfCreation` PKCS#9: 1.2.840.113549.1.9.16.6.6 -- smime cti proofOfCreation
    `static ASN1ObjectIdentifier` | `id_cti_ets_proofOfDelivery` PKCS#9: 1.2.840.113549.1.9.16.6.3 -- smime cti proofOfDelivery
    `static ASN1ObjectIdentifier` | `id_cti_ets_proofOfOrigin` PKCS#9: 1.2.840.113549.1.9.16.6.1 -- smime cti proofOfOrigin
    `static ASN1ObjectIdentifier` | `id_cti_ets_proofOfReceipt` PKCS#9: 1.2.840.113549.1.9.16.6.2 -- smime cti proofOfReceipt
    `static ASN1ObjectIdentifier` | `id_cti_ets_proofOfSender` PKCS#9: 1.2.840.113549.1.9.16.6.4 -- smime cti proofOfSender
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA1` 1.2.840.113549.2.7
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA224` 1.2.840.113549.2.8
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA256` 1.2.840.113549.2.9
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA384` 1.2.840.113549.2.10
    `static ASN1ObjectIdentifier` | `id_hmacWithSHA512` 1.2.840.113549.2.11
    `static ASN1ObjectIdentifier` | `id_mgf1` PKCS#1: 1.2.840.113549.1.1.8
    `static ASN1ObjectIdentifier` | `id_PBES2` PKCS#5: 1.2.840.113549.1.5.13
    `static ASN1ObjectIdentifier` | `id_PBKDF2` PKCS#5: 1.2.840.113549.1.5.12
    `static ASN1ObjectIdentifier` | `id_pSpecified` PKCS#1: 1.2.840.113549.1.1.9
    `static ASN1ObjectIdentifier` | `id_rsa_KEM` -- RSA-KEM Key Transport Algorithm id-rsa-kem OID ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) alg(3) 14 }
    `static ASN1ObjectIdentifier` | `id_RSAES_OAEP` PKCS#1: 1.2.840.113549.1.1.7
    `static ASN1ObjectIdentifier` | `id_RSASSA_PSS` PKCS#1: 1.2.840.113549.1.1.10
    `static ASN1ObjectIdentifier` | `id_smime` PKCS#9: 1.2.840.113549.1.9.16
    `static java.lang.String` | `id_spq` id-spq OBJECT IDENTIFIER ::= {iso(1) member-body(2) usa(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) id-spq(5)}; 1.2.840.113549.1.9.16.5
    `static ASN1ObjectIdentifier` | `id_spq_ets_unotice` SMIME SPQ UNOTICE: 1.2.840.113549.1.9.16.5.2
    `static ASN1ObjectIdentifier` | `id_spq_ets_uri` SMIME SPQ URI: 1.2.840.113549.1.9.16.5.1
    `static ASN1ObjectIdentifier` | `keyBag` PKCS#12: 1.2.840.113549.1.12.10.1.1
    `static ASN1ObjectIdentifier` | `md2` 1.2.840.113549.2.2
    `static ASN1ObjectIdentifier` | `md2WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.2
    `static ASN1ObjectIdentifier` | `md4` 1.2.840.113549.2.4
    `static ASN1ObjectIdentifier` | `md4WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.3
    `static ASN1ObjectIdentifier` | `md5` 1.2.840.113549.2.5
    `static ASN1ObjectIdentifier` | `md5WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.4
    `static ASN1ObjectIdentifier` | `pbeWithMD2AndDES_CBC` PKCS#5: 1.2.840.113549.1.5.1
    `static ASN1ObjectIdentifier` | `pbeWithMD2AndRC2_CBC` PKCS#5: 1.2.840.113549.1.5.4
    `static ASN1ObjectIdentifier` | `pbeWithMD5AndDES_CBC` PKCS#5: 1.2.840.113549.1.5.3
    `static ASN1ObjectIdentifier` | `pbeWithMD5AndRC2_CBC` PKCS#5: 1.2.840.113549.1.5.6
    `static ASN1ObjectIdentifier` | `pbeWithSHA1AndDES_CBC` PKCS#5: 1.2.840.113549.1.5.10
    `static ASN1ObjectIdentifier` | `pbeWithSHA1AndRC2_CBC` PKCS#5: 1.2.840.113549.1.5.11
    `static ASN1ObjectIdentifier` | `pbeWithSHAAnd128BitRC2_CBC` PKCS#12: 1.2.840.113549.1.12.1.5
    `static ASN1ObjectIdentifier` | `pbeWithSHAAnd128BitRC4` PKCS#12: 1.2.840.113549.1.12.1.1
    `static ASN1ObjectIdentifier` | `pbeWithSHAAnd2_KeyTripleDES_CBC` PKCS#12: 1.2.840.113549.1.12.1.4
    `static ASN1ObjectIdentifier` | `pbeWithSHAAnd3_KeyTripleDES_CBC` PKCS#12: 1.2.840.113549.1.12.1.3
    `static ASN1ObjectIdentifier` | `pbewithSHAAnd40BitRC2_CBC` Deprecated. use pbeWithSHAAnd40BitRC2_CBC
    `static ASN1ObjectIdentifier` | `pbeWithSHAAnd40BitRC2_CBC` PKCS#12: 1.2.840.113549.1.12.1.6
    `static ASN1ObjectIdentifier` | `pbeWithSHAAnd40BitRC4` PKCS#12: 1.2.840.113549.1.12.1.2
    `static ASN1ObjectIdentifier` | `pkcs_1` PKCS#1: 1.2.840.113549.1.1
    `static ASN1ObjectIdentifier` | `pkcs_12` PKCS#12: 1.2.840.113549.1.12
    `static ASN1ObjectIdentifier` | `pkcs_12PbeIds` PKCS#12: 1.2.840.113549.1.12.1
    `static ASN1ObjectIdentifier` | `pkcs_3` PKCS#3: 1.2.840.113549.1.3
    `static ASN1ObjectIdentifier` | `pkcs_5` PKCS#5: 1.2.840.113549.1.5
    `static ASN1ObjectIdentifier` | `pkcs_7` pkcs#7: 1.2.840.113549.1.7
    `static ASN1ObjectIdentifier` | `pkcs_9` PKCS#9: 1.2.840.113549.1.9
    `static ASN1ObjectIdentifier` | `pkcs_9_at_challengePassword` PKCS#9: 1.2.840.113549.1.9.7
    `static ASN1ObjectIdentifier` | `pkcs_9_at_contentType` PKCS#9: 1.2.840.113549.1.9.3
    `static ASN1ObjectIdentifier` | `pkcs_9_at_counterSignature` PKCS#9: 1.2.840.113549.1.9.6
    `static ASN1ObjectIdentifier` | `pkcs_9_at_emailAddress` PKCS#9: 1.2.840.113549.1.9.1
    `static ASN1ObjectIdentifier` | `pkcs_9_at_extendedCertificateAttributes` PKCS#9: 1.2.840.113549.1.9.9
    `static ASN1ObjectIdentifier` | `pkcs_9_at_extensionRequest` PKCS#9: 1.2.840.113549.1.9.14
    `static ASN1ObjectIdentifier` | `pkcs_9_at_friendlyName` PKCS#9: 1.2.840.113549.1.9.20
    `static ASN1ObjectIdentifier` | `pkcs_9_at_localKeyId` PKCS#9: 1.2.840.113549.1.9.21
    `static ASN1ObjectIdentifier` | `pkcs_9_at_messageDigest` PKCS#9: 1.2.840.113549.1.9.4
    `static ASN1ObjectIdentifier` | `pkcs_9_at_signingDescription` PKCS#9: 1.2.840.113549.1.9.13
    `static ASN1ObjectIdentifier` | `pkcs_9_at_signingTime` PKCS#9: 1.2.840.113549.1.9.5
    `static ASN1ObjectIdentifier` | `pkcs_9_at_smimeCapabilities` PKCS#9: 1.2.840.113549.1.9.15
    `static ASN1ObjectIdentifier` | `pkcs_9_at_unstructuredAddress` PKCS#9: 1.2.840.113549.1.9.8
    `static ASN1ObjectIdentifier` | `pkcs_9_at_unstructuredName` PKCS#9: 1.2.840.113549.1.9.2
    `static ASN1ObjectIdentifier` | `pkcs8ShroudedKeyBag` PKCS#12: 1.2.840.113549.1.12.10.1.2
    `static ASN1ObjectIdentifier` | `preferSignedData` PKCS#9: 1.2.840.113549.1.9.15.1 -- smime capability
    `static ASN1ObjectIdentifier` | `RC2_CBC` 1.2.840.113549.3.2
    `static ASN1ObjectIdentifier` | `rc4` 1.2.840.113549.3.4
    `static ASN1ObjectIdentifier` | `rsaEncryption` PKCS#1: 1.2.840.113549.1.1.1
    `static ASN1ObjectIdentifier` | `safeContentsBag` PKCS#12: 1.2.840.113549.1.12.10.1.6
    `static ASN1ObjectIdentifier` | `sdsiCertificate` PKCS#9: 1.2.840.113549.1.9.22.2
    `static ASN1ObjectIdentifier` | `secretBag` PKCS#12: 1.2.840.113549.1.12.10.1.5
    `static ASN1ObjectIdentifier` | `sha1WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.5
    `static ASN1ObjectIdentifier` | `sha224WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.14
    `static ASN1ObjectIdentifier` | `sha256WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.11
    `static ASN1ObjectIdentifier` | `sha384WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.12
    `static ASN1ObjectIdentifier` | `sha512WithRSAEncryption` PKCS#1: 1.2.840.113549.1.1.13
    `static ASN1ObjectIdentifier` | `signedAndEnvelopedData` PKCS#7: 1.2.840.113549.1.7.4
    `static ASN1ObjectIdentifier` | `signedData` PKCS#7: 1.2.840.113549.1.7.2
    `static ASN1ObjectIdentifier` | `sMIMECapabilitiesVersions` PKCS#9: 1.2.840.113549.1.9.15.3 -- smime capability
    `static ASN1ObjectIdentifier` | `srsaOAEPEncryptionSET` PKCS#1: 1.2.840.113549.1.1.6
    `static ASN1ObjectIdentifier` | `x509Certificate` PKCS#9: 1.2.840.113549.1.9.22.1
    `static ASN1ObjectIdentifier` | `x509certType` Deprecated. use x509Certificate instead
    `static ASN1ObjectIdentifier` | `x509Crl` PKCS#9: 1.2.840.113549.1.9.23.1

- - ### Field Detail

    - #### pkcs_1

          static final ASN1ObjectIdentifier pkcs_1

      PKCS#1: 1.2.840.113549.1.1

    - #### rsaEncryption

          static final ASN1ObjectIdentifier rsaEncryption

      PKCS#1: 1.2.840.113549.1.1.1

    - #### md2WithRSAEncryption

          static final ASN1ObjectIdentifier md2WithRSAEncryption

      PKCS#1: 1.2.840.113549.1.1.2

    - #### md4WithRSAEncryption

          static final ASN1ObjectIdentifier md4WithRSAEncryption

      PKCS#1: 1.2.840.113549.1.1.3

    - #### md5WithRSAEncryption

          static final ASN1ObjectIdentifier md5WithRSAEncryption

      PKCS#1: 1.2.840.113549.1.1.4

    - #### sha1WithRSAEncryption

          static final ASN1ObjectIdentifier sha1WithRSAEncryption

      PKCS#1: 1.2.840.113549.1.1.5

    - #### srsaOAEPEncryptionSET

          static final ASN1ObjectIdentifier srsaOAEPEncryptionSET

      PKCS#1: 1.2.840.113549.1.1.6

    - #### id_RSAES_OAEP

          static final ASN1ObjectIdentifier id_RSAES_OAEP

      PKCS#1: 1.2.840.113549.1.1.7

    - #### id_mgf1

          static final ASN1ObjectIdentifier id_mgf1

      PKCS#1: 1.2.840.113549.1.1.8

    - #### id_pSpecified

          static final ASN1ObjectIdentifier id_pSpecified

      PKCS#1: 1.2.840.113549.1.1.9

    - #### id_RSASSA_PSS

          static final ASN1ObjectIdentifier id_RSASSA_PSS

      PKCS#1: 1.2.840.113549.1.1.10

    - #### sha256WithRSAEncryption

          static final ASN1ObjectIdentifier sha256WithRSAEncryption

      PKCS#1: 1.2.840.113549.1.1.11

    - #### sha384WithRSAEncryption

          static final ASN1ObjectIdentifier sha384WithRSAEncryption

      PKCS#1: 1.2.840.113549.1.1.12

    - #### sha512WithRSAEncryption

          static final ASN1ObjectIdentifier sha512WithRSAEncryption

      PKCS#1: 1.2.840.113549.1.1.13

    - #### sha224WithRSAEncryption

          static final ASN1ObjectIdentifier sha224WithRSAEncryption

      PKCS#1: 1.2.840.113549.1.1.14

    - #### pkcs_3

          static final ASN1ObjectIdentifier pkcs_3

      PKCS#3: 1.2.840.113549.1.3

    - #### dhKeyAgreement

          static final ASN1ObjectIdentifier dhKeyAgreement

      PKCS#3: 1.2.840.113549.1.3.1

    - #### pkcs_5

          static final ASN1ObjectIdentifier pkcs_5

      PKCS#5: 1.2.840.113549.1.5

    - #### pbeWithMD2AndDES_CBC

          static final ASN1ObjectIdentifier pbeWithMD2AndDES_CBC

      PKCS#5: 1.2.840.113549.1.5.1

    - #### pbeWithMD2AndRC2_CBC

          static final ASN1ObjectIdentifier pbeWithMD2AndRC2_CBC

      PKCS#5: 1.2.840.113549.1.5.4

    - #### pbeWithMD5AndDES_CBC

          static final ASN1ObjectIdentifier pbeWithMD5AndDES_CBC

      PKCS#5: 1.2.840.113549.1.5.3

    - #### pbeWithMD5AndRC2_CBC

          static final ASN1ObjectIdentifier pbeWithMD5AndRC2_CBC

      PKCS#5: 1.2.840.113549.1.5.6

    - #### pbeWithSHA1AndDES_CBC

          static final ASN1ObjectIdentifier pbeWithSHA1AndDES_CBC

      PKCS#5: 1.2.840.113549.1.5.10

    - #### pbeWithSHA1AndRC2_CBC

          static final ASN1ObjectIdentifier pbeWithSHA1AndRC2_CBC

      PKCS#5: 1.2.840.113549.1.5.11

    - #### id_PBES2

          static final ASN1ObjectIdentifier id_PBES2

      PKCS#5: 1.2.840.113549.1.5.13

    - #### id_PBKDF2

          static final ASN1ObjectIdentifier id_PBKDF2

      PKCS#5: 1.2.840.113549.1.5.12

    - #### encryptionAlgorithm

          static final ASN1ObjectIdentifier encryptionAlgorithm

      1.2.840.113549.3

    - #### des_EDE3_CBC

          static final ASN1ObjectIdentifier des_EDE3_CBC

      1.2.840.113549.3.7

    - #### RC2_CBC

          static final ASN1ObjectIdentifier RC2_CBC

      1.2.840.113549.3.2

    - #### rc4

          static final ASN1ObjectIdentifier rc4

      1.2.840.113549.3.4

    - #### digestAlgorithm

          static final ASN1ObjectIdentifier digestAlgorithm

      1.2.840.113549.2

    - #### md2

          static final ASN1ObjectIdentifier md2

      1.2.840.113549.2.2

    - #### md4

          static final ASN1ObjectIdentifier md4

      1.2.840.113549.2.4

    - #### md5

          static final ASN1ObjectIdentifier md5

      1.2.840.113549.2.5

    - #### id_hmacWithSHA1

          static final ASN1ObjectIdentifier id_hmacWithSHA1

      1.2.840.113549.2.7

    - #### id_hmacWithSHA224

          static final ASN1ObjectIdentifier id_hmacWithSHA224

      1.2.840.113549.2.8

    - #### id_hmacWithSHA256

          static final ASN1ObjectIdentifier id_hmacWithSHA256

      1.2.840.113549.2.9

    - #### id_hmacWithSHA384

          static final ASN1ObjectIdentifier id_hmacWithSHA384

      1.2.840.113549.2.10

    - #### id_hmacWithSHA512

          static final ASN1ObjectIdentifier id_hmacWithSHA512

      1.2.840.113549.2.11

    - #### pkcs_7

          static final ASN1ObjectIdentifier pkcs_7

      pkcs#7: 1.2.840.113549.1.7

    - #### data

          static final ASN1ObjectIdentifier data

      PKCS#7: 1.2.840.113549.1.7.1

    - #### signedData

          static final ASN1ObjectIdentifier signedData

      PKCS#7: 1.2.840.113549.1.7.2

    - #### envelopedData

          static final ASN1ObjectIdentifier envelopedData

      PKCS#7: 1.2.840.113549.1.7.3

    - #### signedAndEnvelopedData

          static final ASN1ObjectIdentifier signedAndEnvelopedData

      PKCS#7: 1.2.840.113549.1.7.4

    - #### digestedData

          static final ASN1ObjectIdentifier digestedData

      PKCS#7: 1.2.840.113549.1.7.5

    - #### encryptedData

          static final ASN1ObjectIdentifier encryptedData

      PKCS#7: 1.2.840.113549.1.7.76

    - #### pkcs_9

          static final ASN1ObjectIdentifier pkcs_9

      PKCS#9: 1.2.840.113549.1.9

    - #### pkcs_9_at_emailAddress

          static final ASN1ObjectIdentifier pkcs_9_at_emailAddress

      PKCS#9: 1.2.840.113549.1.9.1

    - #### pkcs_9_at_unstructuredName

          static final ASN1ObjectIdentifier pkcs_9_at_unstructuredName

      PKCS#9: 1.2.840.113549.1.9.2

    - #### pkcs_9_at_contentType

          static final ASN1ObjectIdentifier pkcs_9_at_contentType

      PKCS#9: 1.2.840.113549.1.9.3

    - #### pkcs_9_at_messageDigest

          static final ASN1ObjectIdentifier pkcs_9_at_messageDigest

      PKCS#9: 1.2.840.113549.1.9.4

    - #### pkcs_9_at_signingTime

          static final ASN1ObjectIdentifier pkcs_9_at_signingTime

      PKCS#9: 1.2.840.113549.1.9.5

    - #### pkcs_9_at_counterSignature

          static final ASN1ObjectIdentifier pkcs_9_at_counterSignature

      PKCS#9: 1.2.840.113549.1.9.6

    - #### pkcs_9_at_challengePassword

          static final ASN1ObjectIdentifier pkcs_9_at_challengePassword

      PKCS#9: 1.2.840.113549.1.9.7

    - #### pkcs_9_at_unstructuredAddress

          static final ASN1ObjectIdentifier pkcs_9_at_unstructuredAddress

      PKCS#9: 1.2.840.113549.1.9.8

    - #### pkcs_9_at_extendedCertificateAttributes

          static final ASN1ObjectIdentifier pkcs_9_at_extendedCertificateAttributes

      PKCS#9: 1.2.840.113549.1.9.9

    - #### pkcs_9_at_signingDescription

          static final ASN1ObjectIdentifier pkcs_9_at_signingDescription

      PKCS#9: 1.2.840.113549.1.9.13

    - #### pkcs_9_at_extensionRequest

          static final ASN1ObjectIdentifier pkcs_9_at_extensionRequest

      PKCS#9: 1.2.840.113549.1.9.14

    - #### pkcs_9_at_smimeCapabilities

          static final ASN1ObjectIdentifier pkcs_9_at_smimeCapabilities

      PKCS#9: 1.2.840.113549.1.9.15

    - #### id_smime

          static final ASN1ObjectIdentifier id_smime

      PKCS#9: 1.2.840.113549.1.9.16

    - #### pkcs_9_at_friendlyName

          static final ASN1ObjectIdentifier pkcs_9_at_friendlyName

      PKCS#9: 1.2.840.113549.1.9.20

    - #### pkcs_9_at_localKeyId

          static final ASN1ObjectIdentifier pkcs_9_at_localKeyId

      PKCS#9: 1.2.840.113549.1.9.21

    - #### x509certType

          static final ASN1ObjectIdentifier x509certType

      Deprecated. use x509Certificate instead
      PKCS#9: 1.2.840.113549.1.9.22.1

    - #### certTypes

          static final ASN1ObjectIdentifier certTypes

      PKCS#9: 1.2.840.113549.1.9.22

    - #### x509Certificate

          static final ASN1ObjectIdentifier x509Certificate

      PKCS#9: 1.2.840.113549.1.9.22.1

    - #### sdsiCertificate

          static final ASN1ObjectIdentifier sdsiCertificate

      PKCS#9: 1.2.840.113549.1.9.22.2

    - #### crlTypes

          static final ASN1ObjectIdentifier crlTypes

      PKCS#9: 1.2.840.113549.1.9.23

    - #### x509Crl

          static final ASN1ObjectIdentifier x509Crl

      PKCS#9: 1.2.840.113549.1.9.23.1

    - #### id_aa_cmsAlgorithmProtect

          static final ASN1ObjectIdentifier id_aa_cmsAlgorithmProtect

      RFC 6211 - id-aa-cmsAlgorithmProtect OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1) pkcs9(9) 52 }

    - #### preferSignedData

          static final ASN1ObjectIdentifier preferSignedData

      PKCS#9: 1.2.840.113549.1.9.15.1 -- smime capability

    - #### canNotDecryptAny

          static final ASN1ObjectIdentifier canNotDecryptAny

      PKCS#9: 1.2.840.113549.1.9.15.2 -- smime capability

    - #### sMIMECapabilitiesVersions

          static final ASN1ObjectIdentifier sMIMECapabilitiesVersions

      PKCS#9: 1.2.840.113549.1.9.15.3 -- smime capability

    - #### id_ct

          static final ASN1ObjectIdentifier id_ct

      PKCS#9: 1.2.840.113549.1.9.16.1 -- smime ct

    - #### id_ct_authData

          static final ASN1ObjectIdentifier id_ct_authData

      PKCS#9: 1.2.840.113549.1.9.16.1.2 -- smime ct authData

    - #### id_ct_TSTInfo

          static final ASN1ObjectIdentifier id_ct_TSTInfo

      PKCS#9: 1.2.840.113549.1.9.16.1.4 -- smime ct TSTInfo

    - #### id_ct_compressedData

          static final ASN1ObjectIdentifier id_ct_compressedData

      PKCS#9: 1.2.840.113549.1.9.16.1.9 -- smime ct compressedData

    - #### id_ct_authEnvelopedData

          static final ASN1ObjectIdentifier id_ct_authEnvelopedData

      PKCS#9: 1.2.840.113549.1.9.16.1.23 -- smime ct authEnvelopedData

    - #### id_ct_timestampedData

          static final ASN1ObjectIdentifier id_ct_timestampedData

      PKCS#9: 1.2.840.113549.1.9.16.1.31 -- smime ct timestampedData

    - #### id_alg

          static final ASN1ObjectIdentifier id_alg

      S/MIME: Algorithm Identifiers ; 1.2.840.113549.1.9.16.3

    - #### id_alg_PWRI_KEK

          static final ASN1ObjectIdentifier id_alg_PWRI_KEK

      PKCS#9: 1.2.840.113549.1.9.16.3.9

    - #### id_rsa_KEM

          static final ASN1ObjectIdentifier id_rsa_KEM

           -- RSA-KEM Key Transport Algorithm

           id-rsa-kem OID ::= {
                iso(1) member-body(2) us(840) rsadsi(113549) pkcs(1)
                pkcs-9(9) smime(16) alg(3) 14
             }

    - #### id_cti

          static final ASN1ObjectIdentifier id_cti

      PKCS#9: 1.2.840.113549.1.9.16.6 -- smime cti

    - #### id_cti_ets_proofOfOrigin

          static final ASN1ObjectIdentifier id_cti_ets_proofOfOrigin

      PKCS#9: 1.2.840.113549.1.9.16.6.1 -- smime cti proofOfOrigin

    - #### id_cti_ets_proofOfReceipt

          static final ASN1ObjectIdentifier id_cti_ets_proofOfReceipt

      PKCS#9: 1.2.840.113549.1.9.16.6.2 -- smime cti proofOfReceipt

    - #### id_cti_ets_proofOfDelivery

          static final ASN1ObjectIdentifier id_cti_ets_proofOfDelivery

      PKCS#9: 1.2.840.113549.1.9.16.6.3 -- smime cti proofOfDelivery

    - #### id_cti_ets_proofOfSender

          static final ASN1ObjectIdentifier id_cti_ets_proofOfSender

      PKCS#9: 1.2.840.113549.1.9.16.6.4 -- smime cti proofOfSender

    - #### id_cti_ets_proofOfApproval

          static final ASN1ObjectIdentifier id_cti_ets_proofOfApproval

      PKCS#9: 1.2.840.113549.1.9.16.6.5 -- smime cti proofOfApproval

    - #### id_cti_ets_proofOfCreation

          static final ASN1ObjectIdentifier id_cti_ets_proofOfCreation

      PKCS#9: 1.2.840.113549.1.9.16.6.6 -- smime cti proofOfCreation

    - #### id_aa

          static final ASN1ObjectIdentifier id_aa

      PKCS#9: 1.2.840.113549.1.9.16.6.2 - smime attributes

    - #### id_aa_receiptRequest

          static final ASN1ObjectIdentifier id_aa_receiptRequest

      PKCS#9: 1.2.840.113549.1.9.16.6.2.1 -- smime attribute receiptRequest

    - #### id_aa_contentHint

          static final ASN1ObjectIdentifier id_aa_contentHint

      PKCS#9: 1.2.840.113549.1.9.16.6.2.4 - See RFC 2634

    - #### id_aa_msgSigDigest

          static final ASN1ObjectIdentifier id_aa_msgSigDigest

      PKCS#9: 1.2.840.113549.1.9.16.6.2.5

    - #### id_aa_contentReference

          static final ASN1ObjectIdentifier id_aa_contentReference

      PKCS#9: 1.2.840.113549.1.9.16.6.2.10

    - #### id_aa_encrypKeyPref

          static final ASN1ObjectIdentifier id_aa_encrypKeyPref

      PKCS#9: 1.2.840.113549.1.9.16.6.2.11

    - #### id_aa_signingCertificate

          static final ASN1ObjectIdentifier id_aa_signingCertificate

      PKCS#9: 1.2.840.113549.1.9.16.6.2.12

    - #### id_aa_signingCertificateV2

          static final ASN1ObjectIdentifier id_aa_signingCertificateV2

      PKCS#9: 1.2.840.113549.1.9.16.6.2.47

    - #### id_aa_contentIdentifier

          static final ASN1ObjectIdentifier id_aa_contentIdentifier

      PKCS#9: 1.2.840.113549.1.9.16.6.2.7 - See RFC 2634

    - #### id_aa_signatureTimeStampToken

          static final ASN1ObjectIdentifier id_aa_signatureTimeStampToken

      PKCS#9: 1.2.840.113549.1.9.16.6.2.14 - RFC 3126

    - #### id_aa_ets_sigPolicyId

          static final ASN1ObjectIdentifier id_aa_ets_sigPolicyId

      PKCS#9: 1.2.840.113549.1.9.16.6.2.15 - RFC 3126

    - #### id_aa_ets_commitmentType

          static final ASN1ObjectIdentifier id_aa_ets_commitmentType

      PKCS#9: 1.2.840.113549.1.9.16.6.2.16 - RFC 3126

    - #### id_aa_ets_signerLocation

          static final ASN1ObjectIdentifier id_aa_ets_signerLocation

      PKCS#9: 1.2.840.113549.1.9.16.6.2.17 - RFC 3126

    - #### id_aa_ets_signerAttr

          static final ASN1ObjectIdentifier id_aa_ets_signerAttr

      PKCS#9: 1.2.840.113549.1.9.16.6.2.18 - RFC 3126

    - #### id_aa_ets_otherSigCert

          static final ASN1ObjectIdentifier id_aa_ets_otherSigCert

      PKCS#9: 1.2.840.113549.1.9.16.6.2.19 - RFC 3126

    - #### id_aa_ets_contentTimestamp

          static final ASN1ObjectIdentifier id_aa_ets_contentTimestamp

      PKCS#9: 1.2.840.113549.1.9.16.6.2.20 - RFC 3126

    - #### id_aa_ets_certificateRefs

          static final ASN1ObjectIdentifier id_aa_ets_certificateRefs

      PKCS#9: 1.2.840.113549.1.9.16.6.2.21 - RFC 3126

    - #### id_aa_ets_revocationRefs

          static final ASN1ObjectIdentifier id_aa_ets_revocationRefs

      PKCS#9: 1.2.840.113549.1.9.16.6.2.22 - RFC 3126

    - #### id_aa_ets_certValues

          static final ASN1ObjectIdentifier id_aa_ets_certValues

      PKCS#9: 1.2.840.113549.1.9.16.6.2.23 - RFC 3126

    - #### id_aa_ets_revocationValues

          static final ASN1ObjectIdentifier id_aa_ets_revocationValues

      PKCS#9: 1.2.840.113549.1.9.16.6.2.24 - RFC 3126

    - #### id_aa_ets_escTimeStamp

          static final ASN1ObjectIdentifier id_aa_ets_escTimeStamp

      PKCS#9: 1.2.840.113549.1.9.16.6.2.25 - RFC 3126

    - #### id_aa_ets_certCRLTimestamp

          static final ASN1ObjectIdentifier id_aa_ets_certCRLTimestamp

      PKCS#9: 1.2.840.113549.1.9.16.6.2.26 - RFC 3126

    - #### id_aa_ets_archiveTimestamp

          static final ASN1ObjectIdentifier id_aa_ets_archiveTimestamp

      PKCS#9: 1.2.840.113549.1.9.16.6.2.27 - RFC 3126

    - #### id_aa_sigPolicyId

          static final ASN1ObjectIdentifier id_aa_sigPolicyId

      Deprecated. use id_aa_ets_sigPolicyId instead

    - #### id_aa_commitmentType

          static final ASN1ObjectIdentifier id_aa_commitmentType

      Deprecated. use id_aa_ets_commitmentType instead

    - #### id_aa_signerLocation

          static final ASN1ObjectIdentifier id_aa_signerLocation

      Deprecated. use id_aa_ets_signerLocation instead

    - #### id_aa_otherSigCert

          static final ASN1ObjectIdentifier id_aa_otherSigCert

      Deprecated. use id_aa_ets_otherSigCert instead

    - #### id_spq

          static final java.lang.String id_spq

      id-spq OBJECT IDENTIFIER ::= {iso(1) member-body(2) usa(840) rsadsi(113549) pkcs(1) pkcs-9(9) smime(16) id-spq(5)};

      1.2.840.113549.1.9.16.5

      See Also:
        Constant Field Values

    - #### id_spq_ets_uri

          static final ASN1ObjectIdentifier id_spq_ets_uri

      SMIME SPQ URI: 1.2.840.113549.1.9.16.5.1

    - #### id_spq_ets_unotice

          static final ASN1ObjectIdentifier id_spq_ets_unotice

      SMIME SPQ UNOTICE: 1.2.840.113549.1.9.16.5.2

    - #### pkcs_12

          static final ASN1ObjectIdentifier pkcs_12

      PKCS#12: 1.2.840.113549.1.12

    - #### bagtypes

          static final ASN1ObjectIdentifier bagtypes

      PKCS#12: 1.2.840.113549.1.12.10.1

    - #### keyBag

          static final ASN1ObjectIdentifier keyBag

      PKCS#12: 1.2.840.113549.1.12.10.1.1

    - #### pkcs8ShroudedKeyBag

          static final ASN1ObjectIdentifier pkcs8ShroudedKeyBag

      PKCS#12: 1.2.840.113549.1.12.10.1.2

    - #### certBag

          static final ASN1ObjectIdentifier certBag

      PKCS#12: 1.2.840.113549.1.12.10.1.3

    - #### crlBag

          static final ASN1ObjectIdentifier crlBag

      PKCS#12: 1.2.840.113549.1.12.10.1.4

    - #### secretBag

          static final ASN1ObjectIdentifier secretBag

      PKCS#12: 1.2.840.113549.1.12.10.1.5

    - #### safeContentsBag

          static final ASN1ObjectIdentifier safeContentsBag

      PKCS#12: 1.2.840.113549.1.12.10.1.6

    - #### pkcs_12PbeIds

          static final ASN1ObjectIdentifier pkcs_12PbeIds

      PKCS#12: 1.2.840.113549.1.12.1

    - #### pbeWithSHAAnd128BitRC4

          static final ASN1ObjectIdentifier pbeWithSHAAnd128BitRC4

      PKCS#12: 1.2.840.113549.1.12.1.1

    - #### pbeWithSHAAnd40BitRC4

          static final ASN1ObjectIdentifier pbeWithSHAAnd40BitRC4

      PKCS#12: 1.2.840.113549.1.12.1.2

    - #### pbeWithSHAAnd3_KeyTripleDES_CBC

          static final ASN1ObjectIdentifier pbeWithSHAAnd3_KeyTripleDES_CBC

      PKCS#12: 1.2.840.113549.1.12.1.3

    - #### pbeWithSHAAnd2_KeyTripleDES_CBC

          static final ASN1ObjectIdentifier pbeWithSHAAnd2_KeyTripleDES_CBC

      PKCS#12: 1.2.840.113549.1.12.1.4

    - #### pbeWithSHAAnd128BitRC2_CBC

          static final ASN1ObjectIdentifier pbeWithSHAAnd128BitRC2_CBC

      PKCS#12: 1.2.840.113549.1.12.1.5

    - #### pbeWithSHAAnd40BitRC2_CBC

          static final ASN1ObjectIdentifier pbeWithSHAAnd40BitRC2_CBC

      PKCS#12: 1.2.840.113549.1.12.1.6

    - #### pbewithSHAAnd40BitRC2_CBC

          static final ASN1ObjectIdentifier pbewithSHAAnd40BitRC2_CBC

      Deprecated. use pbeWithSHAAnd40BitRC2_CBC
      PKCS#12: 1.2.840.113549.1.12.1.6

    - #### id_alg_CMS3DESwrap

          static final ASN1ObjectIdentifier id_alg_CMS3DESwrap

      PKCS#9: 1.2.840.113549.1.9.16.3.6

    - #### id_alg_CMSRC2wrap

          static final ASN1ObjectIdentifier id_alg_CMSRC2wrap

      PKCS#9: 1.2.840.113549.1.9.16.3.7

    - #### id_alg_ESDH

          static final ASN1ObjectIdentifier id_alg_ESDH

      PKCS#9: 1.2.840.113549.1.9.16.3.5

    - #### id_alg_SSDH

          static final ASN1ObjectIdentifier id_alg_SSDH

      PKCS#9: 1.2.840.113549.1.9.16.3.10